//
//  DataMonitorView.h
//  GlowWorm
//
//  Created by Curtis Jones on 2007.02.08.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GlowWorm.h>
#import <GlowWormStat.h>
#import <sys/time.h>


@interface DataMonitorView : NSView
{
@public
	int mOffset;				// current point in circular list
	int mBuffer;				// size of circular list
	int mScale;					// vertical scale of rendering
	int mCount;					// number of valid entries in list
	int mRate;					// sample rate (in microseconds)
	
	uint64_t mTime;			// timestamp of last entry
	BOOL mLiveResize;		// 
	BOOL mHault;
	
	NSMutableArray * mSamples;
	NSNumber * mStatId;
	NSTimer * mFadeTimer;
//NSButton * mEditBtn;
	
//CFImageRef mEditImg;
	
	float mFadeAlpha;
}

- (void)addSample:(GlowWormStat *)aStat;
- (void)printDescription;

+ (uint64_t)getTimeInMicros;

- (NSString *)hrByteCount:(NSNumber *)aNum;
- (NSString *)hrPcktCount:(NSNumber *)aNum;

@end
